Ghostscript “-P-” parancssori opció sérülékenység

CH azonosító

CH-3304

Felfedezés dátuma

2010.07.11.

Súlyosság

Alacsony

Érintett rendszerek

N/A

Érintett verziók

Ghostscript 8.x

Összefoglaló

A Ghostscipt olyan sérülékenysége vált ismertté, amelyet támadók kihasználhatnak bizonyos biztonsági korlátozások megkerülésére és a felhasználó sérülékeny rendszerének feltörésére.

Leírás

A sérülékenységet bizonyos postscript fájlok beolvasása okozza az aktuális munkakönyvtárból annak ellenére, hogy a “-P-” parancssori opció beállításra került. Ez kihasználható tetszőleges postscript parancsok futtatására a “gs_init.ps” fájl segítségével, amennyiben a felhasználó megnyit egy támadó által felügylet könyvtárban található fájlt a “-P-” opció használatával.

A sérülékenységet a 8.71-es verzióban megerősítésre került. Más verziók is érintettek lehetnek.

Megoldás

A sérülékenység az alverziókban javításra került.